Bug 1300404 - pcmanfm-qt - Devices not showing - Needs gvfs
pcmanfm-qt - Devices not showing - Needs gvfs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcmanfm-qt (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Christian Dersch
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 12:03 EST by Gerald Cox
Modified: 2017-06-09 15:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: pcmanfm-qt-0.11.3-5.fc27 pcmanfm-qt-0.11.3-5.fc25 pcmanfm-qt-0.11.3-5.fc24 pcmanfm-qt-0.11.3-5.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-22 20:41:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Cox 2016-01-20 12:03:32 EST
Description of problem:
When mounting a usb device, it doesn't appear in pcmanfm-qt


Version-Release number of selected component (if applicable):
pcmanfm-qt-0.10.0-2.fc23.x86_64

How reproducible:
Insert usb drive, it doesn't show in pcmanfm-qt

Actual results:
usb drive does not appear under devices in pcmanfm-qt


Expected results:
usb drive appears under devices in pcmanfm-qt


Additional info:

pcmanfm-qt requires gvfs.  Workaround is to manually do it:
dnf install gvfs
Comment 1 Fedora End Of Life 2016-11-24 10:05:15 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:02:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Christian Dersch 2017-05-20 07:26:12 EDT
I introduced a Recommends: gvfs in the package, so it will be pulled in by default, but the user is able to avoid that if wanted.
Comment 4 Fedora Update System 2017-05-20 07:26:51 EDT
pcmanfm-qt-0.11.3-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-108f4d5bdf
Comment 5 Fedora Update System 2017-05-20 07:27:38 EDT
pcmanfm-qt-0.11.3-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbaa663477
Comment 6 Fedora Update System 2017-05-20 07:29:03 EDT
pcmanfm-qt-0.11.3-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-50bb92e41a
Comment 7 Gerald Cox 2017-05-21 10:31:38 EDT
Thanks for taking the time to fix this.  
People should understand that if they refuse to use gvfs they are crippling their pcmanfm-qt.  It is a requirement for full functionality.

Here are a couple of helpful links which explain the why of gvfs with pcmanfm-qt:

https://lists.ubuntu.com/archives/lubuntu-users/2013-April/003997.html
https://github.com/lxde/pcmanfm-qt/issues/405

Basically:

"pcmanfm-qt depends on GLib (through libfm) and uses gvfs for mounting, among other jobs. gvfs doesn't depend on Gnome."

and from the developer of pcmanfm-qt:
"About gvfs, I'll keep using it for now. Mixing GIO and Qt works
perfectly and Qt has built-in glib integration.
Gvfs has more and more backends and many of them has no FUSE-based equivalence.
An alternative would be to use KDE's KIO slave, if you're OK with the
KDE dependencies.
In comparison, gvfs is "relatively" more desktop-independent.
When the backends are carefully separated by packagers, it's actually
desktop independent and only brings few gnome deps.
If your gvfs installation depends on the whole gnome, blame the
packager of your distro."
Comment 8 Fedora Update System 2017-05-21 19:32:35 EDT
pcmanfm-qt-0.11.3-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-108f4d5bdf
Comment 9 Fedora Update System 2017-05-22 05:25:37 EDT
pcmanfm-qt-0.11.3-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-50bb92e41a
Comment 10 Fedora Update System 2017-05-22 05:28:29 EDT
pcmanfm-qt-0.11.3-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbaa663477
Comment 11 Fedora Update System 2017-05-22 20:41:27 EDT
pcmanfm-qt-0.11.3-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2017-06-01 23:55:31 EDT
pcmanfm-qt-0.11.3-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-06-09 15:04:33 EDT
pcmanfm-qt-0.11.3-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.